- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Classes | Functions
AL Namespace Reference

## Namespaces
| Math
| qianim
| urdf

## Classes
class | ColladaBuilder
class | ColladaSceneBuilder
class | Mesh
class | SceneBuilder

## Functions
ALMATH_API void | addBoxMesh (float xHalfExtent, float yHalfExtent, float zHalfExtent, Mesh &data)
ALMATH_API Mesh | createBoxMesh (float xHalfExtent, float yHalfExtent, float zHalfExtent)
ALMATH_API void | addRoundedBoxMesh (float pHalfExtentX, float pHalfExtentY, float pHalfExtentZ, float pRadius, int pNbVertices, Mesh &data)
ALMATH_API Mesh | createRoundedBoxMesh (float pHalfExtentX, float pHalfExtentY, float pHalfExtentZ, float pRadius, int pNbVertices)

## Detailed Description

Author
  Nicolas Garcia - ngarc.nosp@m.ia@a.nosp@m.ldeba.nosp@m.ran-.nosp@m.robot.nosp@m.ics..nosp@m.com Aldebaran Robotics (c) 2014 All Rights Reserved
  Justine Lança - jlanc.nosp@m.a@al.nosp@m.debar.nosp@m.an-r.nosp@m.oboti.nosp@m.cs.c.nosp@m.om
  Nicolas Garcia - ngarc.nosp@m.ia@a.nosp@m.ldeba.nosp@m.ran-.nosp@m.robot.nosp@m.ics..nosp@m.com Aldebaran Robotics (c) 2014 All Rights Reserved

The purpose of grouping ostream operations in one place, is to speed compilation times when not requiring output.

## Function Documentation

ALMATH_API void AL::addBoxMesh | ( | float | xHalfExtent,
|  | float | yHalfExtent,
|  | float | zHalfExtent,
|  | Mesh & | data
| ) |  |

ALMATH_API void AL::addRoundedBoxMesh | ( | float | pHalfExtentX,
|  | float | pHalfExtentY,
|  | float | pHalfExtentZ,
|  | float | pRadius,
|  | int | pNbVertices,
|  | Mesh & | data
| ) |  |

ALMATH_API Mesh AL::createBoxMesh | ( | float | xHalfExtent,
|  | float | yHalfExtent,
|  | float | zHalfExtent
| ) |  |

ALMATH_API Mesh AL::createRoundedBoxMesh | ( | float | pHalfExtentX,
|  | float | pHalfExtentY,
|  | float | pHalfExtentZ,
|  | float | pRadius,
|  | int | pNbVertices
| ) |  |